from django.shortcuts import render
from django.views.generic import View

from django.http import HttpResponse

from .tasks import user_info_task, new_questions_task

class Index(View):
	def get(self, request, *args, **kwargs):
		#r1 = user_info_task.delay(1)
		#r2 = new_questions_task.delay(1)
		#ctx = {
		#	'rep': r1.get(),
		#	'questions': r2.get()
		#}
		return render(request, 'stackfeed/index.html', {})


class NewQuestions(View):
	def get(self, request):
		ctx = {'questions':new_questions_task(1)}
		print (ctx)
		return render(request, 'stackfeed/questions.html', ctx)

class UserUpdates(View):
	def get(self, request):
		rep = user_info_task(1)
		return HttpResponse('{"rep":%s}' % rep)
