from django.db import models

class StackExchangeUser(models.Model):
	access_token = models.CharField(max_length=150)
	so_reputation = models.PositiveIntegerField(default=1)
	last_checked = models.DateTimeField(auto_now=True, auto_now_add=True)


class NewQuestions(models.Model):
	for_user = models.OneToOneField(StackExchangeUser, primary_key=True)
	newest_id = models.PositiveIntegerField()
	last_checked = models.DateTimeField(auto_now=True, auto_now_add=True)
